Forum Pplware

Versão Completa: Guia de substitutos de aplicações Windows.
Está de momento a ver uma versão reduzida do nosso conteúdo. Ver versão completa com o formato adequado.
Páginas: 1 2 3 4 5 6 7 8 9
E um equivalente ao Teamviewer? É que estou a ter problemas agora com o teamviewer e queria um nativo do Linux...
Que problemas? Uso a versão 8 em Ubuntu 12.04 e não tenho tido qualquer problema.
Só consigo lançar a app usando o sudo e mesmo assim, na consola dá uma carrada de erros...
Qual é a distro que usas? E que erros é que aparecem na consola?

Eu limitei-me a descarregar o .deb da última versão (8.0.17147) para 64bits do site do TeamViewer e a fazer um dpkg -i teamviewer_linux_x64.deb como root. A partir daí é só correr o team com o meu user normal quando preciso dele (um pormenor, só uso para fazer assistência remota, tenho o acesso ao meu pc desactivado).

As versões anteriores tinham problemas que obrigavam a que antes de usar o teamviewer tivesses de arrancar com o serviço dele como root, mas esta versão resolveu esse problema.
Quando inicio o teamviewer sem sr como super user, aparece uma janela (estilo Windows) a dizer:

Verification of your Teamviewer Version failed.
Teamviewer will quit for security reasons. Please reinstall.


E na consola mostra isto:

Citar:Init...
Checking setup...
Launching TeamViewer...
fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.Windows.Common-Controls" (6.0.0.0)
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:ole:CoInitializeSecurity ((nil),-1,(nil),(nil),0,3,(nil),0,(nil)) - stub!
fixme:heap:HeapSetInformation (nil) 1 (nil) 0

Se lançar a app como super user, o TeamViewer funciona mas na consola diz o seguinte:

Citar:Init...
Checking setup...
Launching TeamViewer...
fixme:service:scmdatabase_autostart_services Auto-start service L"MountMgr" failed to start: 2
fixme:service:scmdatabase_autostart_services Auto-start service L"PlugPlay" failed to start: 2
fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.Windows.Common-Controls" (6.0.0.0)
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:ole:CoInitializeSecurity ((nil),-1,(nil),(nil),0,3,(nil),0,(nil)) - stub!
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:process:SetProcessShutdownParameters (00000100, 00000000): partial stub.
fixme:resource:GetGuiResources (0xffffffff,0): stub
fixme:win:EnumDisplayDevicesW ((null),0,0x33dc60,0x00000000), stub!
fixme:win:EnumDisplayDevicesW (L"\\\\.\\DISPLAY1",0,0x33d918,0x00000000), stub!
fixme:win:EnumDisplayDevicesW ((null),1,0x33dc60,0x00000000), stub!
fixme:winhttp:WinHttpDetectAutoProxyConfigUrl discovery via DHCP not supported
fixme:msg:ChangeWindowMessageFilter 233 00000001
fixme:msg:ChangeWindowMessageFilter 4a 00000001
fixme:msg:ChangeWindowMessageFilter 407 00000001
fixme:msg:ChangeWindowMessageFilter 49 00000001
fixme:bitmap:CreateBitmapIndirect planes = 0
fixme:bitmap:CreateBitmapIndirect planes = 0
fixme:wtsapi:WTSRegisterSessionNotification Stub 0x1005a 0x00000000
err:ole:marshal_object couldn't get IPSFactory buffer for interface {00000131-0000-0000-c000-000000000046}
err:ole:marshal_object couldn't get IPSFactory buffer for interface {00000122-0000-0000-c000-000000000046}
err:ole:StdMarshalImpl_MarshalInterface Failed to create ifstub, hres=0x80040155
err:ole:CoMarshalInterface Failed to marshal the interface {00000122-0000-0000-c000-000000000046}, 80040155
fixme:msg:ChangeWindowMessageFilter c04f 00000001
fixme:nls:GetGeoInfoW -1 4 0x33e1bc 3 0
err:ole:CoGetClassObject class {bcde0395-e52f-467c-8e3d-c4579291692e} not registered
err:ole:CoGetClassObject no class object {bcde0395-e52f-467c-8e3d-c4579291692e} could be created for context 0x1
err:ole:CoGetClassObject class {bcde0395-e52f-467c-8e3d-c4579291692e} not registered
err:ole:CoGetClassObject no class object {bcde0395-e52f-467c-8e3d-c4579291692e} could be created for context 0x1
fixme:nls:GetGeoInfoW -1 4 0x33dfc8 3 0
fixme:nls:GetGeoInfoW -1 4 0x33dfc8 3 0
fixme:nls:GetGeoInfoW -1 4 0x33dfc8 3 0
fixme:nls:GetGeoInfoW -1 4 0x33dfc8 3 0
Parece-me que há aí um problema qualquer com o wine (o teamviewer para linux não passa basicamente da versão windows + uma instalação de wine para correr em linux).

Como é que instalaste o team?
Foi do site. É um file .deb. Eu nunca tive problemas também com o TeamViewer mas desta última vez que formatei o PC, quando instalei o TeamViewer, aconteceu o que está a acontecer...
Já tentei desinstalar o wine e o teamviewer com sudo apt-get remove --purge teamviewer wine mas logo a seguir faço wine --version e a consola dá-me a versão do wine, ou seja, desinsntalei mas parece que o wine continua lá...
Talvez assim dê-
sudo apt-get purge remove wine\*

ou
sudo apt-get purge remove wine1.2

ou seja a versão exacta não vá ser que tenhas andado a instalar várias.
O sudo apt-get putge remove wine\* não me parece... Dá uma lista interminável de alterações a fazer e não me parece que seja o que pretendo...

http://pastebin.com/sSTYx9yB

A versão que tenho do wine é a 1.4.1...
Páginas: 1 2 3 4 5 6 7 8 9
URL's de Referência